Skip to content
Start here

Acknowledge + Retry Queue Messages

client.queues.messages.ack(stringqueueId, MessageAckParams { account_id, acks, retries } params, RequestOptionsoptions?): MessageAckResponse { ackCount, retryCount, warnings }
POST/accounts/{account_id}/queues/{queue_id}/messages/ack

Acknowledge + Retry messages from a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
queueId: string

A Resource identifier.

maxLength32
params: MessageAckParams { account_id, acks, retries }
account_id: string

Path param: A Resource identifier.

maxLength32
acks?: Array<Ack>

Body param

lease_id?: string

An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message.

retries?: Array<Retry>

Body param

delay_seconds?: number

The number of seconds to delay before making the message available for another attempt.

lease_id?: string

An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message.

ReturnsExpand Collapse
MessageAckResponse { ackCount, retryCount, warnings }
ackCount?: number

The number of messages that were succesfully acknowledged.

retryCount?: number

The number of messages that were succesfully retried.

warnings?: Array<string>

Acknowledge + Retry Queue Messages

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.queues.messages.ack('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.ackCount);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "ackCount": 5,
    "retryCount": 5,
    "warnings": [
      "string"
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "ackCount": 5,
    "retryCount": 5,
    "warnings": [
      "string"
    ]
  },
  "success": true
}